## visad.meteorology
Interface SingleBandedImage

All Superinterfaces:
  Data, Field, Function, Thing

All Known Implementing Classes:
  SingleBandedImageImpl

public interface SingleBandedImage
extends Field

An interface for representing single--banded planar satellite or radar imagery. This type of Field has a Range Dimension of 1 with a range Type being a RealType.

Field Summary

Fields inherited from interface visad.Data

`ABS, ACOS, ACOS_DEGREES, ADD, ASIN, ASIN_DEGREES, ATAN, ATAN_DEGREES, ATAN2, ATAN2_DEGREES, CEIL, COS, COS_DEGREES, DEGREES_TO_RADIANS, DEPENDENT, DIVIDE, EXP, FLOOR, INDEPENDENT, INV_ATAN2, INV_ATAN2_DEGREES, INV_DIVIDE, INV_POW, INV_REMAINDER, INV_SUBTRACT, LOG, MAX, MIN, MULTIPLY, NEAREST_NEIGHBOR, NEGATE, NO_ERRORS, NOP, POW, RADIANS_TO_DEGREES, REMAINDER, RINT, ROUND, SIN, SIN_DEGREES, SQRT, SUBTRACT, TAN, TAN_DEGREES, WEIGHTED_AVERAGE`

Method Summary
`String` `getDescription()` Return a descriptive string for this image.
`Real` `getMaxRangeValue()` Get the maximum possible value for this image
`Real` `getMinRangeValue()` Get the minimum possible value for this image
`DateTime` `getStartTime()` Get the start time of the image.
`boolean` `isNavigated()` Check to see if this image has a domain that can map to Latitude and Longitude.

Methods inherited from interface visad.Field
`domainEnumeration, domainFactor, domainMultiply, domainMultiply, extract, getDefaultRangeUnits, getDomainSet, getFloats, getFloats, getLength, getRangeCoordinateSystem, getRangeCoordinateSystem, getRangeUnits, getSample, getStringValues, getValues, getValues, isFlatField, setSample, setSample, setSample, setSample, setSamples, setSamples, setSamples`

Methods inherited from interface visad.Function
`derivative, derivative, derivative, derivative, derivative, evaluate, evaluate, evaluate, evaluate, getDomainCoordinateSystem, getDomainDimension, getDomainUnits, resample, resample`

Methods inherited from interface visad.Data

`abs, abs, acos, acos, acosDegrees, acosDegrees, add, add, adjustSamplingError, asin, asin, asinDegrees, asinDegrees, atan, atan, atan2, atan2, atan2Degrees, atan2Degrees, atanDegrees, atanDegrees, binary, binary, ceil, ceil, changeMathType, computeRanges, computeRanges, computeRanges, cos, cos, cosDegrees, cosDegrees, dataClone, divide, divide, exp, exp, floor, floor, getType, isMissing, local, log, log, longString, longString, max, max, min, min, multiply, multiply, negate, negate, pow, pow, remainder, remainder, rint, rint, round, round, sin, sin, sinDegrees, sinDegrees, sqrt, sqrt, subtract, subtract, tan, tan, tanDegrees, tanDegrees, unary, unary`

Methods inherited from interface visad.Thing
`addReference, removeReference`

Method Detail

### getStartTime

    public DateTime getStartTime()

  Get the start time of the image.

  Returns:
    DateTime representing the start time of the image.

### getDescription

    public String getDescription()

  Return a descriptive string for this image.

  Returns:
    description

### getMinRangeValue

    public Real getMinRangeValue()

  Get the minimum possible value for this image

  Returns:
    a Real representing the minimum possible value. Using a Real allows us to associate units and error estimates with the value

### getMaxRangeValue

    public Real getMaxRangeValue()

  Get the maximum possible value for this image

  Returns:
    a Real representing the maximum possible value. Using a Real allows us to associate units and error estimates with the value

### isNavigated

    public boolean isNavigated()

  Check to see if this image has a domain that can map to Latitude and Longitude.

  Returns:
    true if it has navigation, otherwise false